var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconTraceTextComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-trace-text").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "M2.2 3.99c0-.99.801-1.79 1.79-1.79h8.02c.989 0 1.79.801 1.79 1.79v5.553a1.79 1.79 0 0 1-1.79 1.789H3.99a1.79 1.79 0 0 1-1.79-1.79V3.99Zm1.79-.68a.679.679 0 0 0-.68.68v5.553a.68.68 0 0 0 .68.678h8.02a.679.679 0 0 0 .68-.678V3.989a.679.679 0 0 0-.68-.678H3.99Zm.987 1.913c0-.306.248-.555.555-.555h.617a.555.555 0 1 1 0 1.11h-.617a.555.555 0 0 1-.555-.555Zm2.468 0c0-.306.248-.555.555-.555h2.468a.555.555 0 1 1 0 1.11H8a.555.555 0 0 1-.555-.555ZM4.977 7.691c0-.306.248-.555.555-.555h.617a.555.555 0 0 1 0 1.11h-.617a.555.555 0 0 1-.555-.555Zm2.468 0c0-.306.248-.555.555-.555h2.468a.555.555 0 0 1 0 1.11H8a.555.555 0 0 1-.555-.555Zm-4.32 5.554c0-.307.25-.556.556-.556h8.638a.555.555 0 1 1 0 1.111H3.681a.555.555 0 0 1-.555-.555Z", clipRule: "evenodd" }));
}
var IconTraceText = React.forwardRef(IconTraceTextComponent);
export default IconTraceText;
